Subject: Re: bug#59715: 28.2; Emacs crashes after ``turkish-case-conversion-enable''

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2022 15:10:25 +0200

> Cc: [email-masked]
> Date: Sun, 04 Dec 2022 14:56:03 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: YUSUF ALPER ÇIKIŞIR
> >  <[email-masked]>
> > Cc: [email-masked]
> > Date: Sun, 04 Dec 2022 15:46:13 +0300
> > 
> > That's hilarious.  I mean, I'm not writing "Iosevka".  Why does it need
> > to do something like this in the first place?
> 
> We usually downcase when we intern strings to produce symbols.
> 
> > I had:
> > 
> > <alias>
> >   <family>monospace</family>
> >   <prefer>
> >     <family>Iosevka Comfy</family>
> >   </prefer>
> >   <default><family>Iosevka Comfy</family></default>
> > </alias>
> > 
> > in ~/.config/fontconfig/fonts.conf file.  I've changed "Iosevka Comfy"
> > with "iosevka comfy".  I had also "Emacs.font: Iosevka Comfy-10" in
> > ~/.Xresources file.  I've also changed it with "iosevka comfy-10".
> > 
> > But unfortunately, it's still the same.
> 
> I think there's some caching involved.  Can you do whatever is needed to
> force Fontconfig to refresh its caches?  And maybe also restart the system,
> in case X also caches stuff?

An alternative is to define a set-language-environment-hook function which
calls turkish-case-conversion-disable, to undo the
turkish-case-conversion-enable call when the Turkish language environment is
turned on.  You will lose the case-conversions of İ and ı, and if these are
needed will need to type them by hand.  But at least you will be able to
start Emacs and use it reliably.

(This is not the "cleaner solution" I mentioned previously; I'm still
thinking about that.)